| IDTech Universal SDK 1.0.35.027 API reference for C++

EMV Tag Reference

Tag | Description
--- | ---
42 | Issuer Identification Number (IIN)
4F | Application Identifier (ADF Name)
50 | Application Label
52 | Command to perform
56 | Track 1 Data
57 | Track 2 Equivalent Data
5A | Application Primary Account Number (PAN)
5D | Deleted (see 9D)
5F20 | Cardholder Name
5F24 | Application Expiration Date
5F28 | Issuer Country Code
5F2A | Transaction Currency Code (Default: 08 40)
5F2D | Language Preference
5F30 | Service Code
5F34 | Application Primary Account Number (PAN) Sequence Number (PSN)
5F36 | Transaction Currency Exponent
5F3C | Transaction Reference Currency Code
5F3D | Transaction Reference Currency Exponent
5F50 | Issuer URL
5F53 | International Bank Account Number (IBAN)
5F54 | Bank Identifier Code (BIC)
5F55 | Issuer Country Code (alpha2 format)
5F56 | Issuer Country Code (alpha3 format)
5F57 | Account Type Selection
6F | File Control Information (FCI) Template
61 | Application Template
62 | File Control Parameters (FCP) Template
70 | READ RECORD Response Message Template
71 | Issuer Script Template 1
72 | Issuer Script Template 2
73 | Directory Discretionary Template
77 | Response Message Template Format 2
80 | Response Message Template Format 1
81 | Amount, Authorised (Binary)
82 | Application Interchange Profile (AIP)
83 | Command Template
84 | Dedicated File (DF) Name
86 | Issuer Script Command
87 | Application Priority Indicator
88 | Short File Identifier (SFI)
89 | Authorisation Code
8A | Authorization Response Code
8A | Authorisation Response Code (ARC)
8C | Card Risk Management Data Object List 1 (CDOL1)
8D | Card Risk Management Data Object List 2 (CDOL2)
8E | Cardholder Verification Method (CVM) List
8F | Certification Authority Public Key Index (PKI)
90 | Issuer Public Key Certificate
91 | Issuer Authentication Data
92 | Issuer Public Key Remainder
93 | Signed Application Data
94 | Application File Locator (AFL)
95 | Terminal Verification Results (TVR)
97 | Transaction Certificate Data Object List (TDOL)
98 | Transaction Certificate (TC) Hash Value
99 | Transaction Personal Identification Number (PIN) Data
99 | Transaction Personal Identification Number (PIN) Data
98 | Transaction Certificate (TC) Hash Value
9A | Transaction Date (YYMMDD )
9A | Transaction Date
9B | Transaction Status Information
9B | Transaction Status Information
9C | Transaction Type
9C | Transaction Type
9D | Directory Definition File (DDF) Name
9F01 | Acquirer Identifier
9F02 | Amount, Authorized (Numeric)
9F03 | Amount, Other (Numeric)
9F04 | Amount, Other (Binary)
9F05 | Application Discretionary Data
9F06 | Application Identifier (AID) – terminal
9F07 | Application Usage Control (AUC)
9F08 | Application Version Number
9F09 | Application Version Number (Default: 00 02 )
9F0B | Cardholder Name Extended
9F0D | Issuer Action Code - Default
9F0E | Issuer Action Code - Denial
9F0F | Issuer Action Code - Online
9F10 | Issuer Application Data (IAD)
9F11 | Issuer Code Table Index
9F12 | Application Preferred Name
9F13 | Last Online Application Transaction Counter (ATC) Register
9F14 | Lower Consecutive Offline Limit
9F15 | Merchant Category Code
9F16 | Merchant Identifier
9F17 | Personal Identification Number (PIN) Try Counter
9F18 | Issuer Script Identifier
9F19 | Deleted (see 9F49)
9F1A | Terminal Country Code
9F1B | Terminal Floor Limit
9F1C | Terminal Identification
9F1D | Terminal Risk Management Data
9F1E | Interface Device (IFD) Serial Number
9F1F | Track 1 Discretionary Data
9F20 | Track 2 Discretionary Data
9F21 | Transaction Time (HHMMSS )
9F22 | Certification Authority Public Key Index
9F23 | Upper Consecutive Offline Limit
9F26 | Application Cryptogram (AC)
9F27 | Cryptogram Information Data (CID)
9F29 | Extended Selection
9F2A | Kernel Identifier
9F2D | Integrated Circuit Card (ICC) PIN Encipherment Public Key Certificate
9F2E | Integrated Circuit Card (ICC) PIN Encipherment Public Key Exponent
9F2F | Integrated Circuit Card (ICC) PIN Encipherment Public Key Remainder
9F32 | Issuer Public Key Exponent
9F33 | Terminal Capabilities (see below)
9F34 | Cardholder Verification Method (CVM) Results
9F35 | Terminal Type (see below)
9F36 | Application Transaction Counter (ATC)
9F37 | Unpredictable Number
9F38 | Processing Options Data Object List (PDOL)
9F39 | POS Entry Mode (Default: 07)
9F3A | Amount, Reference Currency
9F3B | Application Reference Currency
9F3C | Transaction Reference Currency Code
9F3D | Transaction Reference Currency Exponent
9F40 | Additional Terminal Capabilities (see below)
9F41 | Transaction Sequence Counter
9F42 | Application Currency Code
9F43 | Application Reference Currency Exponent
9F44 | Application Currency Exponent
9F45 | Data Authentication Code
9F46 | Integrated Circuit Card (ICC) Public Key Certificate
9F47 | Integrated Circuit Card (ICC) Public Key Exponent
9F48 | Integrated Circuit Card (ICC) Public Key Remainder
9F49 | Dynamic Data Authentication Data Object List (DDOL)
9F4A | Static Data Authentication Tag List (SDA)
9F4B | Signed Dynamic Application Data (SDAD)
9F4C | ICC Dynamic Number
9F4D | Log Entry
9F4E | Merchant Name and Location
9F4E | Merchant Name and Location
9F4F | Log Format
9F50 | Offline Accumulator Balance
9F51 | Application Currency Code
9F52 | Application Default Action (ADA)
9F53 | Transaction Category Code
9F54 | DS ODS Card
9F55 | Geographic Indicator
9F56 | Issuer Authentication Indicator
9F57 | Issuer Country Code
9F58 | Consecutive Transaction Counter Limit (CTCL)
9F59 | Consecutive Transaction Counter Upper Limit (CTCUL)
9F5A | Application Program Identifier (Program ID)
9F5B | Issuer Script Results
9F5C | Magstripe Data Object List (MDOL)
9F5D | Available Offline Spending Amount (AOSA)
9F5D | Application Capabilities Information (ACI)
9F5E | Consecutive Transaction International Upper Limit (CTIUL)
9F5E | DS ID
9F5F | DS Slot Availability
9F60 | CVC3 (Track1)
9F61 | CVC3 (Track2)
9F62 | PCVC3 (Track1)
9F64 | NATC (Track1)
9F65 | PCVC3 (Track2)
9F66 | PUNATC (Track2)
9F67 | NATC (Track2)
9F68 | Card Additional Processes
9F69 | UDOL
9F6A | Unpredictable Number (Numeric)
9F6B | Track 2 Data
9F6C | Card Transaction Qualifiers (CTQ)
9F6D | Mag-stripe Application Version Number (Reader)
9F6E | Third Party Data
9F6E | Terminal Transaction Capabilities
9F6F | DS Slot Management Control
9F70 | Protected Data Envelope 1
9F71 | Protected Data Envelope 2
9F72 | Protected Data Envelope 3
9F73 | Protected Data Envelope 4
9F74 | Protected Data Envelope 5
9F75 | Unprotected Data Envelope 1
9F76 | Unprotected Data Envelope 2
9F77 | Unprotected Data Envelope 3
9F78 | Unprotected Data Envelope 4
9F79 | Unprotected Data Envelope 5
9F7A | VLP Terminal Support Indicator
9F7B | VLP Terminal Transaction Limit
9F7C | Customer Exclusive Data (CED)
9F7D | DS Summary 1
9F7F | DS Unpredictable Number
A5 | File Control Information (FCI) Proprietary Template
BF0C | File Control Information (FCI) Issuer Discretionary Data
BF50 | Visa Fleet - CDO
BF60 | Integrated Data Storage Record Update Template
C3 | Card issuer action code -decline
C4 | Card issuer action code -default
C5 | Card issuer action code online
C6 | PIN Try Limit
C7 | CDOL 1 Related Data Length
C8 | Card risk management country code
C9 | Card risk management currency code
CA | Lower cummulative offline transaction amount
CB | Upper cumulative offline transaction amount
CD | Card Issuer Action Code (PayPass) – Default
CE | Card Issuer Action Code (PayPass) – Online
CF | Card Issuer Action Code (PayPass) – Decline
D1 | Currency conversion table
D2 | Integrated Data Storage Directory (IDSD)
D3 | Additional check table
D5 | Application Control
D6 | Default ARPC response code
D7 | Application Control (PayPass)
D8 | AIP (PayPass)
D9 | AFL (PayPass)
DA | Static CVC3-TRACK1
DB | Static CVC3-TRACK2
DC | IVCVC3-TRACK1
DD | IVCVC3-TRACK2
DF01 | ApplePay VAS Protocol
DF02 | ApplePay VAS Failure Report
DF10 | Terminal Languages Supported
DF10 | Multi Language (Default: “enfr”)
DF11 | Enable Transaction Logging
DF13 | Terminal Action Code - Default
DF14 | Terminal Action Code - Denial
DF15 | Terminal Action Code - Online
DF17 | Threshold Value for Biased Random Selection
DF18 | Target Percentage to be Used for Random Selection
DF19 | Maximum Target Percentage to be used for Biased Random Selection
DF1F | Last 4 digits of Primary Account Number (PAN)
DF21 | Issuer Script Results
DF22 | Force Online (1-Enable, 0-Disable)
DF25 | Default DDOL (1-Enable, 0-Disable)
DF26 | Revocation List Support (Default: Enable - 1)
DF27 | Exception File Support (Default: Disable - 0)
DF28 | Default TDOL
DF29 | Terminal Capabilities - CVM Required
DF2A | Threshold Value for Biased Random Selection (Interac)
DF2B | Maximum Target Percentage for Biased Random Selection (Interac)
DF2C | Target Percentage for Random Selection (Interac)
DF30 | Track Data Source
DF31 | DD Card Track 1
DF32 | DD Card Track 2
DF33 | Interac Receipt Required
DF34 | TTK Customer - Firmware Version
DF40 | Message to be displayed by EMV Kernel on “PIN Try Limit Exceeded” condition
DF41 | Message to be displayed by EMV Kernel on “Last PIN Try” condition
DF42 | Message to be displayed by EMV Kernel on “Please Try Again” condition
DF43 | Message to be displayed by EMV Kernel on “Call Your Bank” condition
DF45 | GMEDS Secret Keys
DF46 | GMAD MIDs
DF47 | ISIS Read Cmd Data
DF48 | ISIS Write Data
DF49 | ISIS Transaction Data
DF4A | TTK Customer - Current KSN of Data encryption Key
DF4B | TTK Customer - MSR all track data
DF4C | TTK Customer - Masked PAN
DF4D | TTK Customer - Additional POS Info
DF4E | Polling Options
DF4F | TTK Customer - Fallback Reason
DF50 | Special Flow
DF51 | Amex Terminal Capability
DF52 | Transaction CVM
DF55 | RID
DF56 | Activate Trans for DESFireViVOComm Flows
DF57 | Reader Primary Language
DF57 | 2nd usage: Remaining Candidates
DF58 | Reader Secondary Language
DF5A | TLV Exclusion List
DF5B | Terminal Entry Capability
DF5C | RF Deactivate Period
DF5D | D-PAS Issuer Script Response status
DF5E | Transaction Timing Information
DF5F | Encrypted PAN for remote PIN Pad
DF60 | Product ID
DF61 | Processor ID
DF61 | CVMRequiredLimit_JCBScheme
DF62 | Main Firmware Build ID
DF63 | CB Enhanced DDA Indicator (same block as DF03)
DF64 | CB Wave 2 CVM Requirements (same block as DF04)
DF65 | Build ID Num (Cxx)
DF65 | CB Display Offline Funds Indicator (same block as DF05)
DF65 | Serial heartbeat Required
DF66 | SVN Number
DF66 | CB Terminal Type (same block as 9F35)
DF66 | Display Unsupported Card
DF68 | Enable/Disable STOP command processing
DF69 | ConfigureProprietaryTags
DF6A | Enable/Disable Comm Error Recovery
DF6C | Cubic FTP Phase 2 Mode Options
DF6D | Cubic Mode 3 Match AID
DF6E | Cubic Fixed Fare Amounts
DF6F | Cubic Timestamp Data
DF70 | Loyalty Program ID
DF70 | Generic Name String
DF71 | Value Added Tax 1
DF71 | Generic Numeric
DF72 | Value Added Tax 2
DF72 | Generic Specification String
DF73 | Merchant Category Code
DF73 | Generic Implementation String
DF74 | Discover Optional Features
DF75 | Communications Error Message Delay
DF76 | TVR from GenAC
DF77 | ViVOpay MSR Custom Data Output Tag
DF78 | MC Timing Performance Enable
DF79 | Card Disable Mask
DF7A | Card Disable Interval
DF7B | Serial Port (UART) Inter-character Timeout Period
DF7C | Auto Switch Feature
DF7D | Track Formatting Feature
DF7F | Improved Collision Detection & Media Removal Feature
DF891B | Poll Mode
DF891C | Interac Retry Limit
DFDE04 | MSR Encryption Option
DFEE0C | PPSE Terminate Flags
DFEE12 | KID
DFEE15 | Application Selection Indicator
DFEE16 | DUKPT Key or MKSK Select for Online PIN Encrypted
DFEE17 | ICC Terminal Entry Mode
DFEE18 | MSR Terminal Entry Mode
DFEE19 | Online DOL
DFEE1A | Output data element
DFEE1B | Authorization Request data elements
DFEE1E | Contact Terminal Configuration (see below)
DFEE1F | Issuer script device limit, Range: 0~255 (Default: 128)
DFEE20 | ICC Power on detect waiting time. (Unit: Sec) (Default: 60S)
DFEE21 | ICC L1 waiting time. (Unit: Sec)(Default: 10 S)
DFEE22 | Driver (Menu, Get PIN, Get MSR) Timeout. (Unit: Sec) (see below)
DFEE23 | MSR Track Data
DFEE24 | Force Acceptance (Default: 00)
DFEE25 | ICC Response Code
DFEE26 | Encryption Status Information
DFEE27 | MSR Control
DFEF1A | SmartTap Delimiter
DFEF1E | Encrypted Sensitive Tags
DFEF1F | Auto Authenticate
DFEF20 | MAC option in reponse data
DFEF21 | BIN
DFEF22 | AID
DFEF23 | HMAC
DFEF24 | HMAC KSN
DFEF25 | Output Data Format Select
DFEF26 | MSR fallback
DFEF27 | Online capability
DFEF28 | Disable Encrypt ON
DFEF2C | Terminal AID List
DFEF2E | Terminal Transaction Log
DFEF2F | CUP configuration
DFEF30 | White List
DFEF31 | Black List
DFEF32 | Auto-Switch
DFEF34 | Antenna Detection Switch
DFEF35 | Communications Watchdog Period
DFEF36 | Media Control & Status Tracking
DFEF37 | Interface Select
DFEF38 | Timeout for Next Command
DFEF39 | Network Indicate
DFEF3A | Reader Behavior Mode
DFEF3B | Autopoll Transaction Separation Interval
DFEF40 | Ascii-code encryption Tag57 TLV
DFEF41 | MAC Verification Data for SRED
DFEF42 | MAC Verification KSN for SRED
DFEF43 | Local TZ/DST information.
DFEF44 | Combination Options
DFEF45 | Removal Timeout
DFEF46 | ACT Pass Response DOL
DFEF47 | CDA Hash Input
DFEF48 | Indicate - retrieve transaction result again due to Output RAM is Not enough.
DFEF49 | Outcome Parameter Set
DFEF4A | User Interface Request Data
DFEF4B | MSR Equivalent Data Option
DFEF4C | MSR Equivalent Data Track Lengths
DFEF4D | MSR Equivalent Data
DFEF4E | ACT MSD Response DOL
DFEF4F | ACT Decline Response DOL
DFEF50 | Terminal Interchange Profile (JCB)
DFEF51 | Bypass EMV Completion Output
DFEF52 | Re-FallBack times
DFEF53 | Dynamic Reader Limits
DFEF54 | SmartTap AID Index
DFEF55 | Kernel Specific Features
DFEF56 | Retry Limit
DFEF57 | PPSE Terminate Flags
DFEF59 | Terminal Data Setting - Default Amount
DFEF5A | Terminal Data Setting - Tags to Return
DFEF5B | Mask for Tag5A
DFEF5C | Mask for Tag56
DFEF5D | Mask for Tag57
DFEF5E | Mask for Tag9F6B
DFEF5F | Mask for TagFFEE13
DFEF60 | Mask for TagFFEE14
DFEF61 | Error Code
DFEF62 | Allow MSR Swipe data from ICC Card
DFEF63 | Tags To Read Yet
DFEF64 | Referral Timeout
DFEF6E | USB-KB Output Data Postfix
DFEF6F | Inter-character Delay for USB-KB Interface
DFEF70 | PISCES dual interface interference prevention mechanism fine-tune parameters.
DFEF71 | Waiting ICC insert time
DFEF72 | Pre-poll card mechanism control in ACT cmd & config setting
DFEF73 | Transaction Message Type
DFEF74 | Reference amplitude value
DFEF75 | Reference delta value
DFEF76 | Transaction Interface Type to activate
DFEF77 | Timeout for waiting next command
DFEF78 | EMV contact L2 display messages option
DFEF79 | PIN block format (when TDES)
DFEF7A | Enable Apple Pay Check
DFEF7B | Apple Pay Status
DFEF7C | Track Bit Encoding
DFEF7D | Re-power on times
DFEF7E | Fallback response code list
FF69 | ViVOpay Proprietary Tag List
FF70 | Serial Finite State Machine Version
FF71 | Transaction Finite State Machine Version
FF72 | System Information Suite
FF73 | Serial Protocol Version
FF74 | Serial Protocol Suite
FF75 | L1 Paypass Version
FF76 | L1 LCR Version
FF77 | L2 Card App Version
FF78 | L2 Card App Suite
FF79 | GMEDs Data
FF79 | User Experience Version
FF7A | User Experience Suite
FF7B | ViVOtech Proprietary Suite
FF7C | VIUDS Scheme IDs Supported
FF7D | VIUDS Scheme ID Selection Criteria
FFE0 | Registered Application Provider Identifier (RID)
FFE1 | Partial Selection Allowed
FFE2 | Application Flow
FFE3 | Selection Features - GR 1.2.10
FFE4 | Group Number / Fallback Group
FFE5 | Max AID Length
FFE6 | AID Disabled
FFE7 | Interface Support
FFE8 | Exclude from Processing
FFE9 | Kernel ID Transaction Type Group List
FFEA | Default Kernel ID
FFEE01 | ViVOpay TLV Group Tag
FFEE02 | ViVOpay Pre-PPSE Special Flow Group Tag
FFEE03 | ViVOpay Post-PPSE Special Flow Group Tag
FFEE04 | M/Chip3 Intermediate Message Data
FFEE05 | M/Chip3 Intermediate Message Marker
FFEE06 | ApplePay VAS Container
FFEE07 | Encrypted Sensitive Tags
FFEE08 | Masked Tags
FFEE0A | BIN Range
FFEE0B | AID Range
FFEE0C | White List
FFEE10 | ViVOpay MChip Group Tag
FFEE11 | ViVOpay Discover Group Tag
FFEE12 | KID
FFEE12 | Cash Reader Risk Record
FFEE13 | Track 1 Data
FFEE13 | Cashback Reader Risk Record
FFEE14 | Track 2 Data
FFEE14 | DRL Record 1
FFEE15 | DRL Record 2
FFEE16 | DRL Record 3
FFEE17 | DRL Record 4
FFEE18 | Tags To Write Yet Before GenAC
FFEE19 | Tags To Write Yet After GenAC
FFEE1A | Terminal App DET Data
FFEE1C | Unpredictable Number Range
FFEE1D | Sensitive Data Mask
FFEE1E | Group 0 Initialize Flag
FFEE1F | Error Code Table
FFEE20 | Restart Deactivation Time
FFF0 | Specific Features Switch
FFF1 | Terminal Contactless Transaction Limit
FFF2 | Terminal IFD
FFF3 | Application Capability
FFF4 | Visa Reader Risk Flags
FFF6 | Torn Transaction Log Clean Interval (minutes)
FFF7 | Burst Mode
FFF8 | UI Scheme
FFF9 | LCD Font Size
FFFA | LCD Delay Time
FFFB | Language Option for LCD
FFFC | Force MagStripe

9F33 Terminal Capabilities
  Byte 1
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Manual key entry
  x 1 x x x x x x Magnetic stripe
  x x 1 x x x x x IC with contacts
  x x x 0 x x x x RFU
  x x x x 0 x x x RFU
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 2
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Plaintext PIN for IC verification
  x 1 x x x x X x Enciphered PIN for online verification
  x x 1 x x x X x Signature(paper)
  x x x 1 x x X x Enciphered PIN for offline verification
  x x x x 1 x X x No CVM Required
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x x x X 0 RFU
  Byte 3
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x SDA
  X 1 x x x x x x DDA
  X x 1 x x x x x Card capture
  x x x 0 x x x x RFU
  x x x x 1 x x X CDA
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x X X x 0 RFU

9F40 Additional Terminal Capabilities
  Byte 1
  b1 b2 b3 b4 b5 b6 b7 b8 Meaning
  1 x x x x x x x Cash
  x 1 x x x x x x Goods
  x x 1 x x x x x Services
  x x x 1 x x x x Cashback
  x x x x 1 x x x Inquiry
  x x x x x 1 x x Transfer
  x x x x x x 1 x Payment
  x x x x x x x 1 Administrative
  Byte 2
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Cash Deposit
  x 0 x x x x x x RFU
  x x 0 x x x x x RFU
  x x x 0 x x x x RFU
  x x x x 0 x x x RFU
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 3
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Numeric keys
  x 1 x x x x x x Alphabetic and special characters keys
  x x 1 x x x x x Command keys
  x x x 1 x x x x Function Keys
  x x x x 0 x x x RFU
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 4
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Print, attendant
  x 1 x x x x x x Print, cardholder
  x x 1 x x x x x Display, attendant
  x x x 1 x x x x Display, cardholder
  x x x x 0 x x x RFU
  x x x x x 0 x x RFU
  x x x x x x 1 x Code table 10
  x x x x x x x 1 Code table 9
  Byte 5
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Code table 8
  x 1 x x x x x x Code table 7
  x x 1 x x x x x Code table 6
  x x x 1 x x x x Code table 5
  x x x x 1 x x x Code table 4
  x x x x x 1 x x Code table 3
  x x x x x x 1 x Code table 2
  x x x x x x x 1 Code table 1

9F35 Terminal Type
  Environment Financial
  Institution Merchant Cardholder
  __________________________________________________
  Attended
  Online only 11 21
  Offline with
  online capability 12 22
  Offline only 13 23
  __________________________________________________
  Unattended
  Online only 14 24 34
  Offline with
  online capability 15 25 35
  Offline only 16 26 36

DFEE1E Contact Terminal Configuration (Default: F0 DC 3C F0 C2 9E 94 00)
  Byte 1
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Key Pad support
  x 1 x x x x x x LCD support
  x x 1 x x x x x PIN Pad support
  x x x 1 x x x x Print Support
  x x x x 0 x x x RFU
  x x x x x 0 x x RFU
  x x x x x x 0 x RFU
  x x x x x x X 0 RFU
  Byte 2
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x PSE support
  x 1 x x x x x x Cardholder confirmation
  x x 1 x x x x x Preferred display order
  x x x 1 x x x x Multi language
  x x x x 1 x x x EMV language selection method
  x x x x x 1 x x Default DDOL
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 3
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  0 x x x x x x x RFU
  (Revocation of Issuer Public Key Certificate (DF26))
  x 1 x x x x x x Manual action when CA PK loading fails
  x x 1 x x x x x CA PK verified with check sum
  x x x 1 x x x x Bypass PIN Entry
  x x x x 1 x x x Subsequent bypass PIN Entry
  x x x x x 1 x x Get data for pin try counter
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 4
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Amount before CVM processing
  x 1 x x x x x x Floor limit checking
  x x 1 x x x x x Random transaction selection
  x x x 1 x x x x Velocity checking
  x x x x 0 x x x RFU
  (Transaction Log (DF11))
  x x x x x 0 x x RFU
  (Exception File (DF27))
  x x x x x x 0 x RFU
  x x x x x x x 0 RFU
  Byte 5
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x X Terminal action code support
  x 1 x x x x x x Terminal action code can be change
  x x 1 x x x x x Terminal action code can be deleted or disable
  x x x 1 x x x x Default Action code processing before 1st GAC
  x x x x 1 x x x Default Action code processing after 1st GAC
  x x x x x 1 x x TAC/IAC default process when unable to go online (Skipped)
  x x x x x x 1 x TAC/IAC default process when unable to go online (Normal)
  x x x x x x x 0 RFU
  Byte 6
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x Forced Online support
  x 1 x x x x x x Forced acceptance support
  x x 1 x x x x x Advices support
  x x x 1 x x x x Issuer referrals support
  X x x x 1 x x x Batch data capture
  x x x x x 1 x x Online data capture
  X x x x x x 1 x Default TDOL
  X x x x x x x 0 RFU
  Byte 7
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  1 x x x x x x x amount and pin entered on the same keypad
  x 1 x x x x x x ICC/Magstripe reader combined
  x x 1 x x x x x Magstripe read first
  x x x 1 x x x x Support account type selection
  x x x x 1 x x x On fly script processing
  x x x x x 1 x x Internal date management
  x x x x x x 1 x Reversal Mode
  (1)Unable go online
  (2) ARC Error
  0: (3) Online Approved but reader not approved.
  1: (3) Online Approved but card response AAC.
  x x x x x x x 0 RFU
  Byte 8
  b8 b7 b6 b5 b4 b3 b2 b1 Meaning
  x x x x x x x x RFU

DFEE22 Driver (Menu, Get PIN, Get MSR) Timeout. (Unit: Sec)
  Byte1: Timeout for Menu. (Default: 30 S)
  Byte2: Timeout for Get PIN. (Default: 60 S)
  Byte3: Timeout for Get MSR. (Default: 60 S)